body {
  margin: 0;
  padding: 0;
  background-color: black;
  color: white;
  font-family: 'Poppins', sans-serif;
}

header {
  display: flex;
  height: 55px;
  background: rgba(255, 255, 255, 0.345);
  backdrop-filter: blur(10px);
  padding: 0 50px;
  justify-content: space-between;
  align-items: center;
  position: relative;
  z-index: 100;
}

header h1 {
  padding-left: 75px;
  font-size: 35px;
}

.channel_logo {
  position: absolute;
  top: 0;                
  left: 0;                
  padding: 2.5px;
  margin-left: 10px
}

.channel_logo img {
  width: 50px;
  height: auto;
  margin-left: 30px;
}

.search-box {
  display: flex;
  align-items: center;
  background-color: #f0f0f0;
  border-radius: 50px;
  padding: 5px 15px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease;
  width: 250px;
  height: 30px;
}

.search-box:hover {
  box-shadow: 0 6px 15px rgba(0, 0, 0, 0.15);
}

.search-box img {
  width: 18px;
  margin-right: 10px;
  filter: grayscale(1);
  opacity: 0.7;
}

.search-box input {
  flex: 1;
  padding: 10px;
  font-size: 15px;
  border: none;
  outline: none;
  background: transparent;
}

.search-box input::placeholder {
  color: #888;
  transition: all 0.3s ease;
}
.search-box input:focus::placeholder {
  opacity: 0;
}


nav {
  display: flex;
  justify-content: space-between;
  width: 400px;
}

nav a {
  text-decoration: none;
  color: lightgrey;
  font-size: 20px;
  font-weight: 700;
  padding: 0 10px;
  text-shadow: 0 0 15px rgba(0, 0, 0, 0.699);
  transition: 0.4s;
}

nav a:hover {
  color: crimson;
}

.carousel {
  height: 100vh;
  width: 100vw;
  overflow: hidden;
  position: relative;
  margin-top: -58px;
}

.carousel .list .item {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  inset: 0 0 0 0;
  transition: opacity 0.5s ease, transform 0.5s ease;
  height: 100%; 
}

.carousel .list .item img { 
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.carousel .list .item .content {
    position: absolute;
    top: 10%;
    width: 1140px;
    max-width: 80%;
    left: 40%;
    transform: translate(-50%);
    padding-right: 30%;
    box-sizing: border-box;
    text-shadow: 0 0 15px rgba(0, 0, 0, 0.368);
}

.content h1 {
  font-size: 65px;
  font-weight: bold;
  text-wrap: nowrap;
  margin-bottom: 5px;
}

.details {
  display: flex;
  text-wrap: nowrap;
  margin-bottom: -20px;
}

.details p {
  border-right: 2px solid white;
  font-size: 25px;
  font-weight: bold;
  color: #ffcc00;
  padding: 0 10px;
}

.details p:last-child {
  border-right: none;
}

.content h4 {
  max-width: 400px;
  font-size: 15px;
  line-height: 25px;
  margin: 10px 0;
}

.carousel .buttons{
  display: flex;
}

.download-btn{
  width: 150px;
  padding: 12px 0;
  font-weight: bold;
  border: none;
  background-color: #ffcc00;
  color: black;
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 566);
  border-radius: 20px;
  margin-right: 10px;
  transition: 0.4s;
  cursor: pointer;
}

.trailer-btn {
  width: 150px;
  padding: 12px 0;
  font-weight: bold;
  border: none;
  background-color: white;
  color: black;
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 566);
  border-radius: 20px;
  margin-right: 10px;
  transition: 0.4s;
  cursor: pointer;
}

.buttons button:hover {
  opacity: 0.7;
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.621)
}


.download-btn:hover,
.trailer-btn:hover {
  transform: translateY(-3px);
}

.vid-box {
  border: 2px solid #ffcc00;
  width: 250px;
  height: 140px;
  border-radius: 15px;
  margin-top: 100px;
  overflow: hidden;
  margin-top: 35px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.685);
}

.vid-box video{
  width: 250px;
  height: 140px;
}

.thumbnail {
  position: absolute;
  bottom: 50px;  
  left: 50.5%;
  width: max-content;
  z-index: 100;
  display: flex;
  gap: 20px;
  background-color: rgba(211, 211, 211, 0.146);
  backdrop-filter: blur(10px);
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
  border-top-right-radius: 20px;
  box-shadow: 0 0 20px black;
  
}

.thumbnail .item {
  width: 130px;
  height: 200px;
  flex-shrink: 0;
  position: relative;
  border-radius: 20px;
  overflow: hidden;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.thumbnail .item:hover {
  transform: scale(1.08);
  box-shadow: 0 0 15px 5px #ff0000;
  border-radius: 20px;
}

.thumbnail .item:hover img {
  mix-blend-mode: normal;
}



.thumbnail .item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 20px;
  transition: transform 0.3s ease;
}

.thumbnail .item .thum-content {
  position: absolute;
  bottom: 10px;
  left: 10px;
  right: 10px;
  text-align: center;
  background: rgba(0, 0, 0, 0.6);
  padding: 5px 10px;
  border-radius: 10px;
  opacity: 0;
  transform: translateY(10px);
  transition: all 0.3s ease-in-out;
}

.thumbnail .item:hover .thum-content {
  opacity: 1;
  transform: translateY(0);
}

.carousel .list .item:nth-child(1) {
  z-index: 1;
}

.carousel .list .item:nth-child(1) .content {
  filter: blur(10px);
  opacity: 0;
  animation: showContent 0.5s 1s linear forwards;
}

@keyframes showContent {
  from {
    filter: blur(10px);
    opacity: 0;
  }
  to {
    filter: blur(0);
    opacity: 1;
  }
}

